package com.qmth.sop.business.sync.been.rtzf;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 获取软通认证token返回值
 * @Author: CaoZixuan
 * @Date: 2023-11-07
 */
public class RtzfResult {
    @ApiModelProperty("返回码:成功:0,异常:非 0")
    private String code;

    @ApiModelProperty("数据")
    private JSONObject data;

    @ApiModelProperty("返回信息")
    private String msg;

    @ApiModelProperty("当前时间")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long currentTime;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public JSONObject getData() {
        return data;
    }

    public void setData(JSONObject data) {
        this.data = data;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Long getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Long currentTime) {
        this.currentTime = currentTime;
    }
}
